package com.op.mes.domain;

import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * 生产工单批次对象 pro_order_workorder_batch
 *
 * @author Open Platform
 * @date 2023-07-18
 */
public class ProOrderWorkorderBatch extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 批次ID */
    @Excel(name = "批次ID")
    private String batchId;

    /** 工单ID */
    private String workorderId;

    /** 批次号 */
    @Excel(name = "批次号")
    private String batchCode;

    /** 批次数量 */
    @Excel(name = "批次数量")
    private Long batchQuantity;

    /** 单据状态 */
    @Excel(name = "单据状态")
    private String status;

    /** 预留字段1 */
    @Excel(name = "预留字段1")
    private String attr1;

    /** 预留字段2 */
    @Excel(name = "预留字段2")
    private String attr2;

    /** 预留字段3 */
    @Excel(name = "预留字段3")
    private String attr3;

    /** 预留字段4 */
    @Excel(name = "预留字段4")
    private String attr4;

    /** 产品类型 */
    @Excel(name = "产品类型")
    private String prodType;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String factoryCode;

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getBatchId() {
        return batchId;
    }
    public void setWorkorderId(String workorderId) {
        this.workorderId = workorderId;
    }

    public String getWorkorderId() {
        return workorderId;
    }
    public void setBatchCode(String batchCode) {
        this.batchCode = batchCode;
    }

    public String getBatchCode() {
        return batchCode;
    }
    public void setBatchQuantity(Long batchQuantity) {
        this.batchQuantity = batchQuantity;
    }

    public Long getBatchQuantity() {
        return batchQuantity;
    }
    public void setStatus(String status) {
        this.status = status;
    }

    public String getStatus() {
        return status;
    }
    public void setAttr1(String attr1) {
        this.attr1 = attr1;
    }

    public String getAttr1() {
        return attr1;
    }
    public void setAttr2(String attr2) {
        this.attr2 = attr2;
    }

    public String getAttr2() {
        return attr2;
    }
    public void setAttr3(String attr3) {
        this.attr3 = attr3;
    }

    public String getAttr3() {
        return attr3;
    }
    public void setAttr4(String attr4) {
        this.attr4 = attr4;
    }

    public String getAttr4() {
        return attr4;
    }
    public void setProdType(String prodType) {
        this.prodType = prodType;
    }

    public String getProdType() {
        return prodType;
    }
    public void setFactoryCode(String factoryCode) {
        this.factoryCode = factoryCode;
    }

    public String getFactoryCode() {
        return factoryCode;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("batchId", getBatchId())
                .append("workorderId", getWorkorderId())
                .append("batchCode", getBatchCode())
                .append("batchQuantity", getBatchQuantity())
                .append("status", getStatus())
                .append("remark", getRemark())
                .append("attr1", getAttr1())
                .append("attr2", getAttr2())
                .append("attr3", getAttr3())
                .append("attr4", getAttr4())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("prodType", getProdType())
                .append("factoryCode", getFactoryCode())
                .toString();
    }
}